#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-BUSnuirCM6ILrK3GAFdJnx
key:                  lsp-1.2.0.1-BUSnuirCM6ILrK3GAFdJnx
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  761e0c37dcbe7016eb6ed3c2d916ae49
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-4Ylf76zDnfS4iuHz3b2Gt2:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-4Ylf76zDnfS4iuHz3b2Gt2:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-4Ylf76zDnfS4iuHz3b2Gt2:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-4Ylf76zDnfS4iuHz3b2Gt2:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-1.2.0.1
hs-libraries:         HSlsp-1.2.0.1-BUSnuirCM6ILrK3GAFdJnx
depends:
    aeson-1.5.6.0-FCXpoR7la5e15i9FMLdjlO
    async-2.2.3-9JPY7l8fhbkJIfTf8ClMWi
    attoparsec-0.14.2-72hMhO24dNA2HrGIlySvzh base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-5RJjHNv19ESJeD93LU2jRn
    dependent-map-0.4.0.0-GLRoOG7DSCALpGYDw6xzIX exceptions-0.10.4
    hashable-1.3.4.1-8PH3sYtWVv45iE53pOmUfm
    hslogger-1.3.1.0-Ed7lVbxX9aBAnwSwxHTxx6
    lens-5.0.1-HadSzQUPJ1K62n1E5u3hCC
    lsp-types-1.3.0.1-4Ylf76zDnfS4iuHz3b2Gt2 mtl-2.2.2
    network-uri-2.6.4.1-9Lm7EsYzXDtEabp68X6rH1
    random-1.2.1-3QO1nwXdNe61pywCRD6QRB
    scientific-0.3.7.0-CP2rRIG39lTCDzlWk45agq
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-4INWEfzekoJLPsSfbAftPl
    uuid-1.3.15-A6BJ8OVMa10BYBIdpeXZYI

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

